#
# spec file for package python-django-international
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define mod_name django-international
Name:           python-django-international
Version:        0.0.6
Release:        lp152.3.3
Summary:        Country and currency data for Django projects
License:        BSD-4-Clause
Group:          Development/Languages/Python
Url:            https://bitbucket.org/monwara/django-international
Source:         https://pypi.python.org/packages/source/d/%{mod_name}/%{mod_name}-%{version}.tar.gz
BuildRequires:  python-devel
Requires:       python-django
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
django-international is a combination of data, models, and forms, for handling
country- and currency-related information in your Django project. The data used
in this app comes from Wikipedia and XE.com, and will be updated from time to
time when sources become updated.

%prep
%setup -q -n %{mod_name}-%{version}

%build
python setup.py build

%install
python setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc NEWS LICENSE README.rst
%{python_sitelib}/django_international-%{version}-py*.egg-info
%{python_sitelib}/international/

%changelog
* Mon Jul 13 2015 toddrme2178@gmail.com
- Fix building on SLES 11
* Mon Nov 17 2014 tampakrap@opensuse.org
- Cosmetics: mod_name, spec-cleaner, more verbose %%files list
* Fri Apr  5 2013 tchatzimichos@suse.com
- Version bump to 0.0.6, proper fix to setup.py
* Tue Apr  2 2013 tchatzimichos@suse.com
- Version bump to 0.0.4, fixes setup.py not installing the fixtures
* Tue Apr  2 2013 speilicke@suse.com
- Require python-django, makes little sense withouth
- Package NEWS, LICENSE and README.rst
- Drop some unneded macros
* Tue Mar 26 2013 tchatzimichos@suse.com
- Initial commit
